Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xmlpatterns
Class QAbstractXmlReceiver

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.xmlpatterns.QAbstractXmlReceiver

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

Direct Known Subclasses:
  QXmlSerializer

    public abstract class QAbstractXmlReceiver

extends QtJambiObject
implements java.lang.Cloneable

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QAbstractXmlReceiver()`

Method Summary
`QAbstractXmlReceiver` | `clone()` This method is reimplemented for internal reasons
`abstract void` | `comment(java.lang.String value)`
`abstract void` | `endDocument()`
`abstract void` | `endElement()`
`static QAbstractXmlReceiver` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QAbstractXmlReceiver instance pointed to by `nativePointer`.
`abstract void` | `namespaceBinding(QXmlName name)`
`static QNativePointer` | `nativePointerArray(QAbstractXmlReceiver[] array)` This function returns a QNativePointer that is pointing to the specified QAbstractXmlReceiver array.
`abstract void` | `processingInstruction(QXmlName target, java.lang.String value)`
`abstract void` | `startDocument()`
`abstract void` | `startElement(QXmlName name)`
`void` | `whitespaceOnly(java.lang.String value)`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QAbstractXmlReceiver

    public QAbstractXmlReceiver()

Method Detail

### comment

    public abstract void comment(java.lang.String value)

### endDocument

    public abstract void endDocument()

### endElement

    public abstract void endElement()

### namespaceBinding

    public abstract void namespaceBinding(QXmlName name)

### processingInstruction

    public abstract void processingInstruction(QXmlName target,
                                               java.lang.String value)

### startDocument

    public abstract void startDocument()

### startElement

    public abstract void startElement(QXmlName name)

### whitespaceOnly

    public void whitespaceOnly(java.lang.String value)

### fromNativePointer

    public static QAbstractXmlReceiver fromNativePointer(QNativePointer nativePointer)

  This method returns the QAbstractXmlReceiver instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QAbstractXmlReceiver[] array)

  This function returns a QNativePointer that is pointing to the specified QAbstractXmlReceiver array.

### clone

    public QAbstractXmlReceiver clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD